Subject: [bug#28616] disable failing bluez test

From: Thomas Danckaert <[email-masked]>
Date: Thu, 28 Sep 2017 08:42:25 +0200 (CEST)

From: Thomas Danckaert <[email-masked]>
Subject: Re: [bug#28616] disable failing bluez test
Date: Wed, 27 Sep 2017 22:59:11 +0200 (CEST)

>> Thomas Danckaert <[email-masked]> writes:
>>
>>> A test for the bluez package that previously failed only (?) on
>>> ARM,
>>> now seems to fail more widely.
>>>
>>> It seems the same problem was discussed on the linux-bluetooth
>>> mailing list here. https://marc.info/?t=149578476300002&r=1&w=2
>>> Apparently the test fails when no network is available.
>>>
>>> I suggest to disable the test for now...
>>
>> I can not reproduce this on GuixSD.
>>
>> [...]
>>
>> Network is not available in the build container, so I wonder
>> what's
>> going on here.
>
> Hmm, I now also get a substitute...  Earlier I didn't get a
> substitute and the build failed on my system, so I assumed the error
> was general (but couldn't check the build status on hydra due to the
> web frontend's unresponsiveness -- now it's available again).

The reason I didn't get a substitute earlier, was that I had other 
patches on that branch that triggered a rebuild.

Now I checked properly, and the test still fails on this laptop.  
>From the thread I linked, I understand it's also a timing/time-out 
issue, so perhaps the performance of the build host plays a role.

Thomas